Phương thức CreateLease
Sử dụng bộ sưu tập để sắp xếp ngăn nắp các trang
Lưu và phân loại nội dung dựa trên lựa chọn ưu tiên của bạn.
Yêu cầu
CreateLeaseRequest
Giá trị trả về
CreateLeaseResponse
Yêu cầu:
đối tác phụ trợ phải tạo lease_id và đặt trong CreateLeaseResponse.
Bạn phải đặt lease_expiration_time trong CreateLeaseResponse.
Nếu trường tài nguyên được chỉ định trong CreateLeaseRequest, thì trường này phải được đặt trong CreateLeaseResponse và khớp với CreateLeaseRequest.
Bạn phải đặt tất cả các trường khác trong CreateLeaseResponse và khớp với CreateLeaseRequest.
Mã lỗi gRPC chuẩn
INVALID_ARGUMENT (mã người bán, mã dịch vụ, thông tin tham chiếu của khách hàng hoặc quy cách thời gian đặt chỗ không hợp lệ)
ALREADY_EXISTS (nếu khách hàng đã thuê vị trí này)
RESOURCE_EXHAUSTED (nếu khung giờ không còn trống)
// Request to create a [ext.maps.booking.partner.v0.Lease] for a slot in the// inventory. The expiration time in the returned Lease may be modified by the// backend, e.g. if the requested lease period is too long.messageCreateLeaseRequest{optionfeatures.(pb.java).nest_in_file_class=YES;// The lease to be created with information about the appointment slotLeaselease=1;}// Response for the [ext.maps.booking.partner.v0.CreateLease] RPC with the// created [ext.maps.booking.partner.v0.Lease]messageCreateLeaseResponse{optionfeatures.(pb.java).nest_in_file_class=YES;// The created [ext.maps.booking.partner.v0.Lease]Leaselease=1;}
[[["Dễ hiểu","easyToUnderstand","thumb-up"],["Giúp tôi giải quyết được vấn đề","solvedMyProblem","thumb-up"],["Khác","otherUp","thumb-up"]],[["Thiếu thông tin tôi cần","missingTheInformationINeed","thumb-down"],["Quá phức tạp/quá nhiều bước","tooComplicatedTooManySteps","thumb-down"],["Đã lỗi thời","outOfDate","thumb-down"],["Vấn đề về bản dịch","translationIssue","thumb-down"],["Vấn đề về mẫu/mã","samplesCodeIssue","thumb-down"],["Khác","otherDown","thumb-down"]],["Cập nhật lần gần đây nhất: 2026-02-18 UTC."],[],["The `CreateLeaseRequest` initiates a lease creation, and `CreateLeaseResponse` returns the created lease. The partner backend must generate the `lease_id` and `lease_expiration_time` in the response. If `resources` is in the request, it must be mirrored in the response. All other response fields should mirror the request. Potential gRPC errors include `INVALID_ARGUMENT`, `ALREADY_EXISTS` if a lease exists, or `RESOURCE_EXHAUSTED` if the slot is unavailable. The response might adjust the expiration time.\n"]]